# Run tests in check section
# disable for bootstrapping
%bcond_with check
%global prefix  /usr

%global with_debug 1

%if 0%{?with_debug}
%global debug_package   %{nil}
%endif


Name:           deepin-authenticate
Version:        1.2.61
Release:        2%{?dist}
Summary:        Used to adapt fingerprint, face and other authentication methods
License:        GPLv3
URL:            %{gourl}
Source0:        %{name}-%{version}.tar.gz

Patch1000:      0001-fix-for-UnionTech.patch

BuildRequires:  compiler(go-compiler)
BuildRequires:  iso-codes
BuildRequires:  pkgconfig(gnome-keyring-1)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pam-devel
BuildRequires:  json-c-devel
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  go-gir-generator
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(gdk-x11-3.0)
BuildRequires:  pkgconfig(gdk-pixbuf-xlib-2.0)
BuildRequires:  pkgconfig(libpulse)
#BuildRequires:  gocode
BuildRequires:  golang-dbus
BuildRequires:  golang-x-image-devel
BuildRequires:  golang-github-rickb777-date-devel
BuildRequires:  golang-github-mattn-go-sqlite3-devel
BuildRequires:  golang-gopkg-alecthomas-kingpin-devel
BuildRequires:  golang-github-cryptix-wav-devel
BuildRequires:  golang-github-disintegration-imaging-devel
BuildRequires:  golang-github-fogleman-gg-devel
BuildRequires:  golang-github-gosexy-gettext-devel
BuildRequires:  golang-github-nfnt-resize-devel
BuildRequires:  deepin-gettext-tools
BuildRequires:  golang-github-linuxdeepin-go-dbus-factory-devel
BuildRequires:  go-lib-devel
BuildRequires:  golang-github-fsnotify-fsnotify-devel
BuildRequires:  golang-github-stretchr-testify-devel

%description
In order to unify the authentication interface,
this interface is designed to adapt to fingerprint, face and other authentication methods.

%prep
%setup -q
%patch1000 -p1

%build
BUILDID="0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \n')"
export GO111MODULE=off
export GOPATH=/usr/share/gocode
%make_build GO_BUILD_FLAGS=-trimpath GOBUILD="go build -compiler gc -ldflags \"-B $BUILDID\""

%install
export GOPATH=/usr/share/gocode
%make_install PAM_MODULE_DIR=%{_libdir}/security GOBUILD="go build -compiler gc -ldflags \"-B $BUILDID\""

%find_lang deepin-authentication

%files -f deepin-authentication.lang
%doc README.org
%license

%{_prefix}/lib/deepin-authenticate/deepin-authentication
%{_prefix}/lib/systemd/system/deepin-authenticate.service
%{_datadir}/dbus-1/system.d/*.conf
%{_datadir}/dbus-1/system-services
%{_sysconfdir}/pam.d/deepin_pam_unix
%{_localstatedir}/lib/deepin/authenticate/config.json
%{_datadir}/polkit-1/actions/*.policy
%{_libdir}/security/pam_deepin_authentication.so
%{_datadir}/deepin-authentication/allowlist
%{_var}/lib/deepin/authenticate/blacklist
%{_var}/lib/deepin/authenticate/pam-modules
%{_bindir}/app-type-tool
%{_datadir}/deepin-authentication/app-type-list
%{_datadir}/deepin-authentication/mfa-force-disable


%changelog
* Thu Jul 21 2022 liuxingwei liuxingwei@uniontech.com - 1.2.61-2
- rebuild for an8.6

* Mon Nov 15 2021 huzhengming <huzhengming@uniontech.com> - 1.2.61-1
- Update to 1.2.61

* Thu Mar 23 2021 uoser <uoser@uniontech.com> - 1.2.6-1
- Update to 1.2.6
